Bug 133157 - pkgorder fails when trying to create a RHEL 3 U3 kickstart tree for E64MT machines
Summary: pkgorder fails when trying to create a RHEL 3 U3 kickstart tree for E64MT mac...
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 3.0
Hardware: ia32e
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-21 22:58 UTC by Ken Crandall
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-22 01:49:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ken Crandall 2004-09-21 22:58:55 UTC
Description of problem:
When trying to create a RHEL 3 U3 kickstart tree for E64MT machines,
pkgorder fails.

Version-Release number of selected component (if applicable):
anaconda-runtime-9.1.3-3.RHEL.i386.rpm

How reproducible:
Customer is trying to create a kickstart tree for 64-bit X86_64
(E64MT, actually) on a 32-bit box.  Customer is attempting to use the
following command sequence (works for 32-bit U3 build):

/usr/lib/anaconda-runtime/genhdlist --withnumbers <rhel-dir>
/usr/lib/anaconda-runtime/pkgorder <rhel-dir> x86_64 \
    > <rhel-dir>/RedHat/base/pkgorder
/usr/lib/anaconda-runtime/genhdlist --fileorder \
    <rhel-dir>/RedHat/base/pkgorder <rhel-dir>

Steps to Reproduce:
1. Explode the contents of RHEL 3 U3 ISO's into <rhel-dir>
2. Run the commands above in the above order
  
Actual results:
# /usr/lib/anaconda-runtime/pkgorder \
    /var/redhat/RedHat/3.0AS_Update3_x86_64/tree/latest x86_64 \
    >
/var/redhat/RedHat/3.0AS_Update3_x86_64/tree/latest/RedHat/base/pkgorder

Traceback (most recent call last):

  File "/usr/lib/anaconda-runtime/pkgorder", line 179, in ?

    pkgOrder.append(hdlist[package].nevra())

  File "/usr/lib/anaconda/hdrlist.py", line 409, in __getitem__

    raise KeyError, "No such package %s" %(item,)

KeyError: No such package kerne

Expected results:


Additional info:

Comment 1 Jeremy Katz 2004-09-22 01:49:41 UTC
pkgorder must be run on the same arch as the tree you're trying to build.


Note You need to log in before you can comment on or make changes to this bug.